package hanson.xyz.vpnhotspotmod.net.wifi;

@kotlin.Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\u0000J\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0012\n\u0002\b\u0004\n\u0002\u0010\u000e\n\u0002\b\u0006\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u000b\n\u0000\n\u0002\u0010\u0000\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\b\u0087\b\u0018\u0000  2\u00020\u0001:\u0001 B\r\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u00a2\u0006\u0002\u0010\u0004J\t\u0010\u000b\u001a\u00020\u0003H\u00c6\u0003J\u0013\u0010\f\u001a\u00020\u00002\b\b\u0002\u0010\u0002\u001a\u00020\u0003H\u00c6\u0001J\u0012\u0010\r\u001a\u0004\u0018\u00010\b2\b\b\u0002\u0010\u000e\u001a\u00020\u000fJ\t\u0010\u0010\u001a\u00020\u0011H\u00d6\u0001J\u0013\u0010\u0012\u001a\u00020\u00132\b\u0010\u0014\u001a\u0004\u0018\u00010\u0015H\u0096\u0002J\b\u0010\u0016\u001a\u00020\u0011H\u0016J\u0006\u0010\u0017\u001a\u00020\bJ\b\u0010\u0018\u001a\u00020\u0019H\u0007J\b\u0010\u001a\u001a\u00020\bH\u0016J\u0019\u0010\u001b\u001a\u00020\u001c2\u0006\u0010\u001d\u001a\u00020\u001e2\u0006\u0010\u001f\u001a\u00020\u0011H\u00d6\u0001R\u0011\u0010\u0002\u001a\u00020\u0003\u00a2\u0006\b\n\u0000\u001a\u0004\b\u0005\u0010\u0006R\u0011\u0010\u0007\u001a\u00020\b8F\u00a2\u0006\u0006\u001a\u0004\b\t\u0010\n\u00a8\u0006!"}, d2 = {"Lhanson/xyz/vpnhotspotmod/net/wifi/WifiSsidCompat;", "Landroid/os/Parcelable;", "bytes", "", "([B)V", "getBytes", "()[B", "hex", "", "getHex", "()Ljava/lang/String;", "component1", "copy", "decode", "charset", "Ljava/nio/charset/Charset;", "describeContents", "", "equals", "", "other", "", "hashCode", "toMeCard", "toPlatform", "Landroid/net/wifi/WifiSsid;", "toString", "writeToParcel", "", "parcel", "Landroid/os/Parcel;", "flags", "Companion", "mobile_freedomDebug"})
@kotlinx.parcelize.Parcelize
public final class WifiSsidCompat implements android.os.Parcelable {
    @org.jetbrains.annotations.NotNull
    private final byte[] bytes = null;
    @org.jetbrains.annotations.NotNull
    private static final kotlin.text.Regex hexTester = null;
    @org.jetbrains.annotations.NotNull
    private static final kotlin.text.Regex qrSanitizer = null;
    @org.jetbrains.annotations.NotNull
    public static final hanson.xyz.vpnhotspotmod.net.wifi.WifiSsidCompat.Companion Companion = null;
    
    public WifiSsidCompat(@org.jetbrains.annotations.NotNull
    byte[] bytes) {
        super();
    }
    
    @org.jetbrains.annotations.NotNull
    public final byte[] getBytes() {
        return null;
    }
    
    @androidx.annotation.RequiresApi(value = 31)
    @org.jetbrains.annotations.NotNull
    public final android.net.wifi.WifiSsid toPlatform() {
        return null;
    }
    
    @org.jetbrains.annotations.Nullable
    public final java.lang.String decode(@org.jetbrains.annotations.NotNull
    java.nio.charset.Charset charset) {
        return null;
    }
    
    @org.jetbrains.annotations.NotNull
    public final java.lang.String getHex() {
        return null;
    }
    
    @org.jetbrains.annotations.NotNull
    public final java.lang.String toMeCard() {
        return null;
    }
    
    @java.lang.Override
    @org.jetbrains.annotations.NotNull
    public java.lang.String toString() {
        return null;
    }
    
    @java.lang.Override
    public boolean equals(@org.jetbrains.annotations.Nullable
    java.lang.Object other) {
        return false;
    }
    
    @java.lang.Override
    public int hashCode() {
        return 0;
    }
    
    @org.jetbrains.annotations.NotNull
    public final byte[] component1() {
        return null;
    }
    
    @org.jetbrains.annotations.NotNull
    public final hanson.xyz.vpnhotspotmod.net.wifi.WifiSsidCompat copy(@org.jetbrains.annotations.NotNull
    byte[] bytes) {
        return null;
    }
    
    @java.lang.Override
    public int describeContents() {
        return 0;
    }
    
    @java.lang.Override
    public void writeToParcel(@org.jetbrains.annotations.NotNull
    android.os.Parcel parcel, int flags) {
    }
    
    @kotlin.Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\u00004\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\r\n\u0002\b\u0003\n\u0002\u0010\u000b\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0086\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002\u00a2\u0006\u0002\u0010\u0002J\u0012\u0010\u0006\u001a\u0004\u0018\u00010\u00072\b\u0010\b\u001a\u0004\u0018\u00010\tJ\u001e\u0010\n\u001a\u0004\u0018\u00010\u00072\b\u0010\u000b\u001a\u0004\u0018\u00010\t2\b\b\u0002\u0010\f\u001a\u00020\rH\u0007J\u000e\u0010\u000e\u001a\u00020\u000f2\u0006\u0010\u000b\u001a\u00020\u000fJ\f\u0010\u0010\u001a\u00020\u0007*\u00020\u0011H\u0007R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082\u0004\u00a2\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0004X\u0082\u0004\u00a2\u0006\u0002\n\u0000\u00a8\u0006\u0012"}, d2 = {"Lhanson/xyz/vpnhotspotmod/net/wifi/WifiSsidCompat$Companion;", "", "()V", "hexTester", "Lkotlin/text/Regex;", "qrSanitizer", "fromHex", "Lhanson/xyz/vpnhotspotmod/net/wifi/WifiSsidCompat;", "hex", "", "fromUtf8Text", "text", "truncate", "", "toMeCard", "", "toCompat", "Landroid/net/wifi/WifiSsid;", "mobile_freedomDebug"})
    public static final class Companion {
        
        private Companion() {
            super();
        }
        
        @org.jetbrains.annotations.Nullable
        public final hanson.xyz.vpnhotspotmod.net.wifi.WifiSsidCompat fromHex(@org.jetbrains.annotations.Nullable
        java.lang.CharSequence hex) {
            return null;
        }
        
        @org.jetbrains.annotations.Contract(value = "null -> null; !null -> !null")
        @org.jetbrains.annotations.Nullable
        public final hanson.xyz.vpnhotspotmod.net.wifi.WifiSsidCompat fromUtf8Text(@org.jetbrains.annotations.Nullable
        java.lang.CharSequence text, boolean truncate) {
            return null;
        }
        
        @org.jetbrains.annotations.NotNull
        public final java.lang.String toMeCard(@org.jetbrains.annotations.NotNull
        java.lang.String text) {
            return null;
        }
        
        @androidx.annotation.RequiresApi(value = 33)
        @org.jetbrains.annotations.NotNull
        public final hanson.xyz.vpnhotspotmod.net.wifi.WifiSsidCompat toCompat(@org.jetbrains.annotations.NotNull
        android.net.wifi.WifiSsid $this$toCompat) {
            return null;
        }
    }
}